Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90	(revision 5099)
@@ -4,8 +4,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 07:08:38 -0700 (Wed, 13 Nov 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/cosp_modis_simulator.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -16,5 +16,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -25,11 +25,9 @@
 ! IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
-
-!
+
 ! History:
 !   May 2009 - Robert Pincus - Initial version
 !   Dec 2009 - Robert Pincus - Tiny revisions
-!
+
 MODULE MOD_COSP_Modis_Simulator
   USE MOD_COSP_CONSTANTS
@@ -44,13 +42,12 @@
   !------------------------------------------------------------------------------------------------
   ! Public type
-  !
+
   ! Summary statistics from MODIS retrievals
   type COSP_MODIS
      ! Dimensions
      integer :: Npoints   ! Number of gridpoints
-     
-     !
+
      ! Grid means; dimension nPoints
-     ! 
+
      real, dimension(:),       pointer :: & 
        Cloud_Fraction_Total_Mean,       Cloud_Fraction_Water_Mean,       Cloud_Fraction_Ice_Mean,       &
@@ -61,7 +58,7 @@
        Cloud_Top_Pressure_Total_Mean,                                                                   &
                                         Liquid_Water_Path_Mean,          Ice_Water_Path_Mean
-     !
+
      ! Also need the ISCCP-type optical thickness/cloud top pressure histogram
-     !
+
      real, dimension(:, :, :), pointer :: Optical_Thickness_vs_Cloud_Top_Pressure
      real, dimension(:, :, :), pointer :: Optical_Thickness_vs_ReffICE
@@ -126,8 +123,7 @@
     integer, dimension(count(gridBox%sunlit(:) <= 0)) :: notSunlit
     ! ------------------------------------------------------------
-    
-    !
+
     ! Are there any sunlit points? 
-    !
+
     nSunlit = count(gridBox%sunlit(:) > 0)
     if(nSunlit > 0) then 
@@ -135,21 +131,19 @@
       nPoints  = gridBox%Npoints
       nSubCols = subCols%Ncolumns
-      !
+
       ! This is a vector index indicating which points are sunlit
-      !
+
       sunlit(:)    = pack((/ (i, i = 1, nPoints ) /), mask =       gridBox%sunlit(:) > 0)
       notSunlit(:) = pack((/ (i, i = 1, nPoints ) /), mask = .not. gridBox%sunlit(:) > 0)
-               
-      !
+
       ! Copy needed quantities, reversing vertical order and removing points with no sunlight 
-      !
+
       pressureLevels(:, 1) = 0.0 ! Top of model, following ISCCP sim
       temperature(:, :)     = gridBox%T (sunlit(:), nLevels:1:-1) 
       pressureLayers(:, :)  = gridBox%p (sunlit(:), nLevels:1:-1) 
       pressureLevels(:, 2:) = gridBox%ph(sunlit(:), nLevels:1:-1) 
-      
-      !
+
       ! Subcolumn properties - first stratiform cloud...
-      ! 
+
       where(subCols%frac_out(sunlit(:), :, :) == I_LSC)
         !opticalThickness(:, :, :) = & 
@@ -180,7 +174,6 @@
       end do
 
-      !
       ! .. then add convective cloud...
-      !
+
       where(subCols%frac_out(sunlit(:), :, :) == I_CVC) 
         !opticalThickness(:, :, :) = &
@@ -201,7 +194,6 @@
       end do
 
-      !
       ! Reverse vertical order 
-      !
+
       opticalThickness(:, :, :)  = opticalThickness(:, :, nLevels:1:-1)
       cloudWater      (:, :, :)  = cloudWater      (:, :, nLevels:1:-1)
@@ -242,8 +234,7 @@
                         jointHistogram,jointHistogram2,jointHistogram3)
       ! DJS2015: END
-      
-      !
+
       ! Copy results into COSP structure
-      !
+
       modisSim%Cloud_Fraction_Total_Mean(sunlit(:)) = cfTotal(:)
       modisSim%Cloud_Fraction_Water_Mean(sunlit(:)) = cfLiquid
@@ -273,12 +264,12 @@
       modisSim%Optical_Thickness_vs_ReffICE(sunlit(:),2:numModisTauBins+1,:)              = jointHistogram2(:, :, :)
       modisSim%Optical_Thickness_vs_ReffLIQ(sunlit(:),2:numModisTauBins+1,:)              = jointHistogram3(:, :, :)
-      ! 
+
       ! Reorder pressure bins in joint histogram to go from surface to TOA 
-      !
+
       modisSim%Optical_Thickness_vs_Cloud_Top_Pressure(:,:,:) = modisSim%Optical_Thickness_vs_Cloud_Top_Pressure(:, :, numModisPressureBins:1:-1)
       if(nSunlit < nPoints) then 
-        !
+
         ! Where it's night and we haven't done the retrievals the values are undefined
-        !
+
         modisSim%Cloud_Fraction_Total_Mean(notSunlit(:)) = R_UNDEF
         modisSim%Cloud_Fraction_Water_Mean(notSunlit(:)) = R_UNDEF
@@ -310,7 +301,7 @@
       end if 
     else
-      !
+
       ! It's nightime everywhere - everything is undefined
-      !
+
       modisSim%Cloud_Fraction_Total_Mean(:) = R_UNDEF
       modisSim%Cloud_Fraction_Water_Mean(:) = R_UNDEF
@@ -350,7 +341,7 @@
     integer,           intent(in)  :: Npoints  ! Number of sampled points
     type(cosp_MODIS),  intent(out) :: x
-    !
+
     ! Allocate minumum storage if simulator not used
-    !
+
     if (cfg%LMODIS_sim) then
       x%nPoints  = nPoints
@@ -398,8 +389,7 @@
   SUBROUTINE FREE_COSP_MODIS(x)
     type(cosp_MODIS),intent(inout) :: x
-    !
+
     ! Free space used by cosp_modis variable. 
-    !
-    
+
     if(associated(x%Cloud_Fraction_Total_Mean)) deallocate(x%Cloud_Fraction_Total_Mean) 
     if(associated(x%Cloud_Fraction_Water_Mean)) deallocate(x%Cloud_Fraction_Water_Mean) 
@@ -439,8 +429,8 @@
     type(cosp_modis),      intent(in   ) :: orig
     type(cosp_modis),      intent(  out) :: copy
-    !
+
     ! Copy a set of grid points from one cosp_modis variable to another.
     !   Should test to be sure ix and iy refer to the same number of grid points 
-    !
+
     integer :: orig_start, orig_end, copy_start, copy_end
     
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90	(revision 5099)
@@ -1,8 +1,8 @@
 ! (c) British Crown Copyright 2008, the Met Office.
 ! All rights reserved.
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -13,5 +13,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_simulator.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_simulator.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 15:08:38 +0100 (mer. 13 nov. 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/cosp_simulator.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -25,9 +25,7 @@
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-!
 ! History:
 ! Jul 2007 - A. Bodas-Salcedo - Initial version
 ! Jan 2013 - G. Cesana - Add new variables linked to the lidar cloud phase 
-!
 
 #include "cosp_defs.h" 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_stats.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_stats.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 15:08:38 +0100 (mer. 13 nov. 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/cosp_stats.F90 $
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted
 ! provided that the following conditions are met:
-!
+
 !     * Redistributions of source code must retain the above copyright notice, this list
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       to endorse or promote products derived from this software without specific prior written
 !       permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
@@ -25,5 +25,4 @@
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-!
 ! History:
 ! Jul 2007 - A. Bodas-Salcedo - Initial version
@@ -34,6 +33,6 @@
 ! Jan 2013 - G. Cesana        - Added betaperp and temperature arguments 
 !                             - Added phase 3D/3Dtemperature/Map output variables in diag_lidar 
-!
-!
+
+
 #include "cosp_defs.h" 
 MODULE MOD_COSP_STATS
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90	(revision 5099)
@@ -1,8 +1,8 @@
 ! (c) British Crown Copyright 2008, the Met Office.
 ! All rights reserved.
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -13,5 +13,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_utils.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 23 $, $Date: 2011-03-31 15:41:37 +0200 (jeu. 31 mars 2011) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/cosp_utils.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -25,8 +25,6 @@
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-!
 ! History:
 ! Jul 2007 - A. Bodas-Salcedo - Initial version
-!
 
 MODULE MOD_COSP_UTILS
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 15:08:38 +0100 (mer. 13 nov. 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/llnl/llnl_stats.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       nor the names of its contributors may be used to endorse or promote products derived from 
 !       this software without specific prior written permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -24,10 +24,8 @@
 ! IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
+
 ! History
-!
+
 ! Jan 2013 - G. Cesana        - Added betaperp_tot and temp_tot arguments 
-!
-
 
 MODULE MOD_LLNL_STATS
@@ -62,5 +60,5 @@
    ! bmin: mimumum value of first bin
    ! bwidth: bin width
-   !
+
    ! Output: 2D histogram on each horizontal point (Npoints,Nbins,Nlevels)
    
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 15:08:38 +0100 (mer. 13 nov. 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/actsim/lmd_ipsl_stats.F90 $
-!
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted
 ! provided that the following conditions are met:
-!
+
 !     * Redistributions of source code must retain the above copyright notice, this list
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       contributors may be used to endorse or promote products derived from this software without
 !       specific prior written permission.
-!
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
@@ -38,8 +38,8 @@
                   ,cfad2,srbval,ncat,ntype,lidarcld,lidarcldtype,lidarcldphase,cldlayer & !OPAQ
                   ,cldtype,cldlayerphase,lidarcldtmp,parasolrefl,vgrid_z,profSR)          !OPAQ !TIBO
-!
+
 ! -----------------------------------------------------------------------------------
 ! Lidar outputs :
-!
+
 ! Diagnose cloud fraction (3D cloud fraction + low/middle/high/total cloud fraction)
 ! and phase cloud fraction (3D, low/mid/high/total and 3D temperature)
@@ -47,7 +47,7 @@
 !      +
 ! Compute CFADs of lidar scattering ratio SR and of depolarization index
-!
+
 ! Authors: Sandrine Bony and Helene Chepfer (LMD/IPSL, CNRS, UPMC, France).
-!
+
 ! December 2008, S. Bony,  H. Chepfer and J-L. Dufresne :
 ! - change of the cloud detection threshold S_cld from 3 to 5, for better
@@ -62,5 +62,5 @@
 ! June 2010, T. Yokohata, T. Nishimura and K. Ogochi
 ! Optimisation of COSP_CFAD_SR
-!
+
 ! January 2013, G. Cesana, H. Chepfer:
 ! - Add the perpendicular component of the backscattered signal (pnorm_perp) in the arguments
@@ -73,5 +73,5 @@
 ! Reference: Cesana G. and H. Chepfer (2013): Evaluation of the cloud water phase
 ! in a climate model using CALIPSO-GOCCP, J. Geophys. Res., doi: 10.1002/jgrd.50376
-!
+
 ! ------------------------------------------------------------------------------------
 
@@ -133,10 +133,8 @@
       real, parameter  ::  S_cld_att = 30. ! New threshold for undefine cloud phase detection	
 
-
-!
 ! c -------------------------------------------------------
 ! c 0- Initializations
 ! c -------------------------------------------------------
-!
+
 !  Should be modified in future version
       xmax=undef-1.0
@@ -174,5 +172,5 @@
 ! c -------------------------------------------------------
       if (ok_lidar_cfad) then
-!
+
 ! c CFADs of subgrid-scale lidar scattering ratios :
 ! c -------------------------------------------------------
@@ -224,8 +222,8 @@
 ! S_att: Threshold for full attenuation
 ! S_clr: Threshold for clear-sky layer
-!
+
 !--- Input-Outout arguments
 ! x: variable to process (Npoints,Ncolumns,Nlevels), mofified where saturation occurs
-!
+
 ! -- Output arguments
 ! srbval : values of the histogram bins
@@ -528,5 +526,4 @@
           enddo
           endif
-!
 
           iz=1
@@ -600,8 +597,8 @@
 
 !____________________________________________________________________________________________________
-!
+
 !4.1.a Ice: ATBperp above the phase discrimination line
 !____________________________________________________________________________________________________
-!
+
            if( (ATBperp(i,ncol,nlev)-ATBperp_tmp).ge.0. )then   ! Ice clouds
              ! ICE with temperature above 273,15°K = Liquid (false ice)
@@ -645,8 +642,8 @@
 
 !____________________________________________________________________________________________________
-!
+
 ! 4.1.b Liquid: ATBperp below the phase discrimination line
 !____________________________________________________________________________________________________
-!
+
              else                                        ! Liquid clouds
               ! Liquid with temperature above 231,15°K
@@ -710,8 +707,8 @@
                           ATB(i,ncol,nlev)*epsilon50 + zeta50
 !____________________________________________________________________________________________________
-!
+
 ! 4.2.a Ice: ATBperp above the phase discrimination line
 !____________________________________________________________________________________________________
-!
+
             ! ICE with temperature above 273,15°K = Liquid (false ice)
           if( (ATBperp(i,ncol,nlev)-ATBperp_tmp).ge.0. )then   ! Ice clouds
@@ -756,8 +753,8 @@
 
 !____________________________________________________________________________________________________
-!
+
 ! 4.2.b Liquid: ATBperp below the phase discrimination line
 !____________________________________________________________________________________________________
-!
+
           else  
              ! Liquid with temperature above 231,15°K
@@ -816,9 +813,9 @@
 
 !____________________________________________________________________________________________________
-!
+
 ! Undefined phase: For a cloud located below another cloud with SR>30 
 ! see Cesana and Chepfer 2013 Sect.III.2
 !____________________________________________________________________________________________________
-!
+
 if(toplvlsat.ne.0)then     	
       do nlev=toplvlsat,1,-1
@@ -849,8 +846,7 @@
 
 !____________________________________________________________________________________________________
-!
+
 ! Computation of final cloud phase diagnosis
 !____________________________________________________________________________________________________
-!
 
 ! Compute the Ice percentage in cloud = ice/(ice+liq) as a function
